org.apache.nutch.core.jsoup.extractor

## Class JsoupDocument

- java.lang.Object
- - org.apache.nutch.core.jsoup.extractor.JsoupDocument

-     public class JsoupDocument
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JsoupDocument.DocumentField`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsoupDocument(java.util.regex.Pattern urlPattern)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addField(JsoupDocument.DocumentField documentField)`
    `java.util.List<JsoupDocument.DocumentField>` | `getDocumentFields()`
    `java.util.regex.Pattern` | `getUrlPattern()`
    `void` | `setDocumentFields(java.util.List<JsoupDocument.DocumentField> documentFields)`
    `void` | `setUrlPattern(java.util.regex.Pattern urlPattern)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsoupDocument

          public JsoupDocument(java.util.regex.Pattern urlPattern)

  - ### Method Detail

    - #### getUrlPattern

          public java.util.regex.Pattern getUrlPattern()

    - #### setUrlPattern

          public void setUrlPattern(java.util.regex.Pattern urlPattern)

    - #### getDocumentFields

          public java.util.List<JsoupDocument.DocumentField> getDocumentFields()

    - #### setDocumentFields

          public void setDocumentFields(java.util.List<JsoupDocument.DocumentField> documentFields)

    - #### addField

          public void addField(JsoupDocument.DocumentField documentField)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2019 The Apache Software Foundation